#	Init the HOME variable
set oldpath [pwd]
cd
set HOME [pwd]
cd $oldpath

######################################################################
# DisplayFiles -
# Display files and directories in listbox
#
# Parameters:
# - dir 	directory selected
# - ext		extension
#
proc  DisplayFiles { dir ext }  {
    global file_list BOLD MAJ
    
    .frame.list delete 0 end
    cd $dir
    
    DisplayInfo list_info "   Reading directory $dir"

    ChangeCursor .frame.list_text watch

    # build a list of files and suppress "." and ".." directories
    set files [exec ls -a]
    set index_first [lsearch -exact $files .]
    set index_last [expr $index_first +1]
    set files_trim [lreplace $files $index_first $index_last]
    
    DisplayInfo list_info "   Displaying ..."
    set cpt 0

    foreach i $files_trim {
	if { [file isdirectory $i] } {
	    append i "/"
	    .frame.list insert end $i
	    lappend lindice_dir $cpt
	    incr cpt
	} elseif [expr { $ext == "*" } || { $ext == "" }] {
	    .frame.list insert end $i
	    incr cpt
	} elseif {![string compare [file extension $i] .$ext]} {
	    .frame.list insert end $i
	    incr cpt
	}
    }
    
    if { [info exists lindice_dir] && $MAJ } {
	foreach i $lindice_dir {
	    .frame.list item configure $i -font $BOLD
	}
    }

    if [catch {llength $lindice_dir} number_of_dir] {
	DisplayInfo list_info "   $cpt fichiers"
    } else {
	DisplayInfo list_info "   $number_of_dir directories - [expr $cpt - $number_of_dir] files"
    }
    
    ChangeCursor .frame.list_text left_ptr
}
