set tab_cpt 0
set tab_max 0

######################################################################
# UpdatePath -
# Updates the path in the entry widget with the current one, to be
# found in the global variable "chemin".
#
# Parameters: none
#
proc  UpdatePath {} {
    global HOME chemin
    
    .path.name.entry delete 0 end
    regsub $HOME [pwd] ~ dirs
    set chemin $dirs
}

######################################################################
# SearchPath -
# Build a list with possible sub-directories of the current directory.
# Uses to simulate the tab-binding under zsh.
# The list is recurned.
#
# Parameters: none
#
proc  SearchPath {} {
    global tab_cpt tab_max tab_dir chemin env
    
    if {$tab_cpt && $tab_cpt<$tab_max} {
	regsub $env(HOME) [lindex $tab_dir $tab_cpt] ~ chemin
	incr tab_cpt
    } elseif {!$tab_cpt} {
	set tab_max 0
	set tab_dir {}
	if ![catch {glob $chemin*} msg] {
	    foreach i $msg {
		if [file isdirectory $i] {
		    lappend tab_dir $i
		    incr tab_max
		}
	    }
	    if $tab_max {
	     regsub $env(HOME) [lindex $tab_dir 0] ~ chemin
		incr tab_cpt
	    }
	}
    } elseif {$tab_cpt && $tab_cpt==$tab_max} {
	regsub $env(HOME) [lindex $tab_dir 0] ~ chemin
	set tab_cpt 1
    }
}

######################################################################
# ResetTab -
# Reset the global variable tab_cpt ( to permit a new selection ).
#
# Parameters: none
#
proc  ResetTab {} {
    global tab_cpt
    
    set tab_cpt 0
}
